Loading...
Searching...
No Matches
sqrt
Dense LA » MAGMA BLAS and Auxiliary » Math functions (sqrt, etc.), O(1) work

## Functions

static float | magma_ssqrt (float x)
static double | magma_dsqrt (double x)
magmaFloatComplex | magma_csqrt (magmaFloatComplex x)
magmaDoubleComplex | magma_zsqrt (magmaDoubleComplex x)

## Detailed Description

## Function Documentation

## magma_ssqrt()

float magma_ssqrt | ( | float | x | ) |

inline static

Returns
  Square root of x.

## magma_dsqrt()

double magma_dsqrt | ( | double | x | ) |

inline static

Returns
  Square root of x.

## magma_csqrt()

magmaFloatComplex magma_csqrt | ( | magmaFloatComplex | x | ) |

Returns
  Complex square root of x.

## magma_zsqrt()

magmaDoubleComplex magma_zsqrt | ( | magmaDoubleComplex | x | ) |

Returns
  Complex square root of x.